import { createRouter, createWebHistory, type RouteRecordRaw } from 'vue-router';
import { routes } from '@/plugins/routesLayout'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: routes.filter(x => x.meta !== undefined).map(x => x.meta) as RouteRecordRaw[]
})

export default router
